<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <meta name="importmap-type" content="systemjs-importmap" />
    <title>Virgoland</title>
    <link rel="icon" type="image/x-icon" href="./favicon.ico" />

    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css"
    />

    <script src="https://cdn.jsdelivr.net/npm/regenerator-runtime@0.13.7/runtime.min.js"></script>
    <script type="systemjs-importmap">
      {
        "imports": {
          "single-spa": "https://cdn.jsdelivr.net/npm/single-spa@5.9.0/lib/system/single-spa.min.js",
          "react": "https://cdn.jsdelivr.net/npm/react@18.1.0/umd/react.production.min.js",
          "react-dom": "https://cdn.jsdelivr.net/npm/react-dom@18.1.0/umd/react-dom.production.min.js",
          "redux": "https://unpkg.com/redux@4.2.0/dist/redux.min.js",
          "redux-toolkit": "https://unpkg.com/@reduxjs/toolkit@1.8.1/dist/redux-toolkit.umd.min.js"
        }
      }
    </script>
    <link
      rel="preload"
      href="https://cdn.jsdelivr.net/npm/single-spa@5.9.0/lib/system/single-spa.min.js"
      as="script"
    />

    <script
      src="https://unpkg.com/react@latest/umd/react.development.js"
      crossorigin="anonymous"
    ></script>
    <script src="https://unpkg.com/react-dom@latest/umd/react-dom.development.js"></script>
    <script
      src="https://unpkg.com/@mui/material@latest/umd/material-ui.development.js"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://unpkg.com/babel-standalone@latest/babel.min.js"
      crossorigin="anonymous"
    ></script>
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap"
    />
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons" />

    <% if (isLocal) { %>
    <script type="systemjs-importmap">
      {
        "imports": {
          "@virgoland/host": "http://localhost:9000/virgoland-host.js",
          "@virgoland/layout": "http://localhost:3000/virgoland-layout.js",
          "@virgoland/user-management": "http://localhost:3001/virgoland-user-management.js"
        }
      }
    </script>
    <% } %>

    <script src="https://cdn.jsdelivr.net/npm/zone.js@0.11.3/dist/zone.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/import-map-overrides@2.2.0/dist/import-map-overrides.js"></script>
    <% if (isLocal) { %>
    <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/system.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/extras/amd.js"></script>
    <% } else { %>
    <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/system.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/systemjs@6.8.3/dist/extras/amd.min.js"></script>
    <% } %>

    <style>
      @font-face {
        font-family: 'Avenir';
        font-style: normal;
        font-weight: 200;
        src: local('Avenir Book'), local('Avenir-Book'),
          url('./assets/font/Avenir-Book.woff2') format('woff2');
      }
      @font-face {
        font-family: 'Avenir';
        font-style: normal;
        font-weight: 400;
        src: local('Avenir Medium'), local('Avenir-Medium'),
          url('./assets/font/Avenir-Medium.woff2') format('woff2');
      }
      @font-face {
        font-family: 'Avenir';
        font-style: normal;
        font-weight: 700;
        src: local('Avenir Black'), local('Avenir-Black'),
          url('./assets/font/Avenir-Black.woff2') format('woff2');
      }

      html,
      body {
        font-family: 'Avenir' !important;
        font-size: 14px;
        color: #000;
        background-color: #eff0f2;
      }

      .root {
        display: flex;
      }

      .app {
        margin-top: 65px;
        flex-grow: 1;
        height: calc(100vh - 65px);
        overflow-y: scroll;
      }
    </style>
  </head>

  <body>
    <noscript> You need to enable JavaScript to run this app. </noscript>
    <script>
      System.import('@virgoland/host');
    </script>
    <import-map-overrides-full
      show-when-local-storage="devtools"
      dev-libs
    ></import-map-overrides-full>
  </body>
</html>
